Bug 145938 - CAN-2004-1165 kioslave command injection
Summary: CAN-2004-1165 kioslave command injection
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdelibs (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ngo Than
QA Contact: David Lawrence
URL: http://www.kde.org/info/security/advi...
Whiteboard: impact=moderate,public=20041226
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-24 09:49 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 10:12:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:065 high SHIPPED_LIVE Important: kdelibs security update 2005-02-15 05:00:00 UTC

Description Mark J. Cox 2005-01-24 09:49:45 UTC
See URL for advisory:

A flaw was discovered in the FTP kioslave. KDE applications such as
Konqueror could be forced to execute arbitrary FTP commands via a
carefully crafted ftp URL. The URL could also be crafted in such a way
as to send an arbitrary email via SMTP. An attacker could make use of
this flaw if a victim clicks on a malcious link or visits a malicious
web site. The Common Vulnerabilities and Exposures project has
assigned the name CAN-2004-1165 to this issue.

impact=moderate, public=20041226

Comment 1 Mark J. Cox 2005-02-15 10:12:51 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-065.html



Note You need to log in before you can comment on or make changes to this bug.